cURL
curl --request GET \
--url https://api.valyx.com/billing/feeComponent/{fee_component_id} \
--header 'X-Valyx-Signature: <x-valyx-signature>'import requests
url = "https://api.valyx.com/billing/feeComponent/{fee_component_id}"
headers = {"X-Valyx-Signature": "<x-valyx-signature>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/billing/feeComponent/{fee_component_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/billing/feeComponent/{fee_component_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyx.com/billing/feeComponent/{fee_component_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Valyx-Signature", "<x-valyx-signature>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyx.com/billing/feeComponent/{fee_component_id}")
.header("X-Valyx-Signature", "<x-valyx-signature>")
.asString();
import Foundation
let url = URL(string: "https://api.valyx.com/billing/feeComponent/{fee_component_id}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["X-Valyx-Signature": "<x-valyx-signature>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.valyx.com/billing/feeComponent/{fee_component_id}")
.get()
.addHeader("X-Valyx-Signature", "<x-valyx-signature>")
.build()
val response = client.newCall(request).execute()using RestSharp;
var options = new RestClientOptions("https://api.valyx.com/billing/feeComponent/{fee_component_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Valyx-Signature", "<x-valyx-signature>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"error": "<string>",
"message": "<string>",
"data": {
"id": "<string>"
}
}APIs
Get Fee Component
GET
/
billing
/
feeComponent
/
{fee_component_id}
cURL
Headers
Auth key for fetching ledger entries
An optional fields mask
Path Parameters
⌘I